﻿/*************************************\
 *             Funktionen            *
 *                                   *
 * Kapitel: Grundlagen               *
 * Zuordnung: C#-Buch V2.0 2.11      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;

namespace CSV20.Funktionen
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Sie haben \"{0}\" eingegeben!", TestEingabe());

            Console.WriteLine();

            Console.WriteLine("Rechnung mit 2 Zahlen: 1 + 2     = {0}", Addition(1, 2));
            Console.WriteLine("Rechnung mit 3 Zahlen: 1 + 2 + 3 = {0}", Addition(1, 2, 3));

            Console.ReadKey();
        }

        private static string TestEingabe()
        {
            Console.Write("Bitte etwas eingeben: ");

            return Console.ReadLine();
        }

        private static int Addition(int iZahl1, int iZahl2)
        {
            return iZahl1 + iZahl2;
        }

        // Funktion Addition() wird überladen, wir können also die Funktion mit 2 oder 3 Parametern aufrufen
        // Methoden-Überladungen müssen sich in den Parametern unterscheiden (Anzahl oder Typ)
        //  eine Unterscheidung durch den Rückgabetyp ist nicht möglich
        private static int Addition(int iZahl1, int iZahl2, int iZahl3)
        {
            return iZahl1 + iZahl2 + iZahl3;
        }
    }
}